{% extends 'base.html.twig' %}

{% block title %}News index{% endblock %}

{% block body %}
    <h1>News</h1>

    <p>
        <a class="btn btn-primary" href="{{ path('news_new') }}">
            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Create new
        </a>
    </p>
    <table class="table  table-striped">
        <tr>
            <th>Id</th>
            <th>Title</th>
            <th>Description</th>
            <th>Content</th>
            <th>Author</th>
            <th>PublishDate</th>
            <th>actions</th>
        </tr>
        <tbody>
        {% for news in news %}
            <tr>
                <td>{{ news.id }}</td>
                <td>{{ news.title }}</td>
                <td>{{ news.description }}</td>
                <td>{{ news.content }}</td>
                <td>{{ news.author }}</td>
                <td>{{ news.publishDate ? news.publishDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a class="btn btn-secondary" href="{{ path('news_show', {'id': news.id}) }}">
                        <span class="glyphicon glyphicon-pencil"></span> Show
                    </a>
                    <a class="btn btn-info" href="{{ path('news_edit', {'id': news.id}) }}">
                        <span class="glyphicon glyphicon-pencil"></span> Edit
                    </a>
                    <a class="btn btn-danger" href="{{ path('news_delete', {'id': news.id}) }}">
                        <span class="glyphicon glyphicon-remove"></span> Delete
                    </a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
